Overview

The New 2006 Roughneck Backup utility for Permanent Backups, has been greatly improved and enhanced.

1. Much better interface.

2. Much easier to make backups to CD and DVD. No formating of CD's required by external programs. Just insert a blank CD and it automatcally makes the backup. This gives you capability for making larger backups.

3. You can store a Backup Profile (with all parameters - drives and locations), makes it easier to repeat the same backup. Once a profile is stored, just load the Profile, and it automatically adjusts all parameters for repeating the backup.

4. It remembers all recent backups made, so you can quickly restore any Recent backup.

5. You have the option to backup sub-directories too.

6. Much easier to make backups to Flash Drives.

The Roughneck Backup and Restore utility is used to make Permanent Backups to Removable media, such as Diskette, CD, or USB removable Flash Drives. It is optimally configured to make it easy to backup Roughneck data files to removable data for safe keeping away from your computer.

The Roughneck Backup Utility consists of two main options. Easy and Advanced

Easy

Easy is designed to be Fast and Simple for users of Roughneck Platinum. It provides you with a Wizard type flow to guide you though the Backup and Restore process.

Advanced

Advanced is designed to give you more flexibility and options with your data. When making a backup, you will select the files you want to backup and where to save them. When restoring a backup, you will select where to restore.

Installation Procedures

To Install Roughneck Backup Utility

Insert the CD in your CD-Rom drive.

If the Installation does not start within a couple of seconds, click Start and choose Run.

When the Dialog appears, type X:\Setup. (Where X is the drive letter to your CD-Rom)

The install program will create an item in the Program Menu called Roughneck Backup Utility 2.0.

To Run the Roughneck Backup Utility

1. Click the Start button

2. Select Programs

3. Select the Roughneck Back Utility 2.0

Roughneck Backup and Restore Utility Copyright © 2006 Roughneck Systems Inc.


Easy Backup and Restore

The EASY options default to Roughneck data files for Backup and Restore. It is designed for Roughneck Platinum users, to make it easy to make Backups and/or Restores of Roughneck data.

EASY BACKUP

From the “File” menu, select the “Easy” option, then select “Backup”

Enter the name of the directory you want to backup. If you need help, click “Find Data Directories” for a list of all Data Directories.

Click Next.

Select which device you want to use for the Backup, by selectin one of the options under "Backup To".

Then Click Next.

Enter the name for the backup file. Click Next.

Confirm your prior steps.

NOTES ON NAME OF BACKUP: Always verify the Drive and Data directory you are backing up from as well as the floppy drive you are backing up to. All files in the specified drive and data directory will be compressed into 1 file name on to the floppy. The file name of the backup set will use the system date, the name may be changed. A filename can contain up to 255 characters, including spaces. It cannot contain any of the following characters:

\ / : * ? “ < > |

The filename of backup set will automatically add the extension .RBU at the end of the filename when the backup is complete.

It is recommended you attach a label to the backup set with the date and a brief description of what the backup set contains.

Ex: Name: Backup_Apr-24.rbu

Date: 04-24-06

Description: All data files prior to closing period 03-31-06.

Click Next for the Progress Screen.

Click the Go button and the progress monitor will display the progress of the backup. You are alerted when the backup is complete.

Store the backup in a safe place in the event you need to restore the backup set to the hard drive at a later date.

EASY RESTORE

From the “File” menu, select the “Easy” option, then select “Restore”

Enter the name of the file to restore. If you need help, click “Find Backup Files”, for a list of all Rsback backup files.

Click Next.

Select the "Location where file will be restored".

Click Next

The “Restore Progress” screen will now appear, press “Go” to start restore.

If you restore to a directory where one of the backup files exists:

You will get the following warning.

If the confirmation window box appears as above and you answer "Yes" or “Yes to All” , this will write over current data in the existing destination directory. If you want preserve the existing data in the destination directory Be sure to have a current backup of your data files prior to restoring any backup set.


Advanced Backup and Restore

Advanced Backup

From the “File” menu, select the “Advanced” option, then select “Backup”.

Select the directory you want to backup using the tree on the left hand side of the screen.

Choose the file(s) you want to backup or check “Select All Files”. Click the green plus sign to add these files to the backup.

NOTE: To Select multiple files. Hold down the CTRL key, and then click each item you want to select. To select a group of files that are next to each other, click anywhere in the blank area of the window. A box appears that you can then drag around the files you want to select.

Click "Create Backup".

Select whether you are backing up to the Hard Drive/Floppy Drive/USB drive or to CD/DVD

Select the destination drive and directory.

Assign a filename.

Click OK.

The “Backup Progress” screen will appear.

press “Go” to start backup.

Advanced Restore

From the “File” menu, select the “Advanced” option, then select “Restore”

Select the directory where the backup file resides, using the tree on the left hand side of the screen.

Using the list on the right hand side of the screen, Click on the file to restore.

Select a Location to restore your backup to.

Click "Restore Backup"

The “Restore Progress” screen will appear.

Press “Go” to start restore.


Profiles

PROFILES

Backup Profiles can be stored after making Advanced Backups. They are best used for recurring Backups that you make a lot. They are used to quickly change the default values for Data Directory and Files Selected to what was used in making previous backups.

Select one of the Profiles that you have saved, then click "Load". The screen will then readjust for a Backup, using the default values for Data Directory and Files Selected used in making previous backup.


Restore Recent Backup

RESTORE RECENT BACKUPS

Used to quickly restore a recent Backup. Selecting this option lists all the recent backups you made, by name of the backup. Select one of the backups, and it auto repositions to selections needed to restore that backup.


Default Directory

Lets you predetermine the directories for your defaults.


Options

OPTIONS

Compression

Allows you to change the compression ratio. The lower the compression number the quicker files will be compressed but, will take more floppies or disk storage space. The higher the compression number the slower files will be compressed but will take less floppy disk space or hard disk space on your computer. The default compression number is 6.

Default Directories - Advanced Only

Allows you set set default directories for Advanced Backup and Restore. For Example: Once you select your Backup to Directory and go into the Advanced Backup the directory to you put as your Default Directory will appear as the Directory to backup.

Exclude List - Advanced Only

Files with extensions listed here, will not be added to the backup file.

Include Sub Directories - Advanced Only

When “Select All Files” check box is selected, all sub directories will be included in the backup file.

Strip Leading Path - Advanced Only

If not checked, to stip the leading path, this causes the saved pathname for each item to begin with the last directory listed in the pathname. For example, if C:\TEST\ABC.TXT and C:\TEST\SUBDIR\DEF.TXT exists, and you backup everything in C:\TEST\ the files will be stored as ABC.TXT and SUBDIR\DEF.TXT. They will be Restored the same way.